package cz.jzitnik.events;

import com.googlecode.lanterna.TerminalPosition;
import com.googlecode.lanterna.input.MouseActionType;
import cz.jzitnik.utils.events.Event;

public class MouseAction extends com.googlecode.lanterna.input.MouseAction implements Event {
    public MouseAction(MouseActionType actionType, int button, TerminalPosition position) {
        super(actionType, button, position);
    }

    public MouseAction(com.googlecode.lanterna.input.MouseAction mouseAction) {
        this(mouseAction.getActionType(), mouseAction.getButton(), mouseAction.getPosition());
    }
}
